# LIBMINC CMake configuration file

get_filename_component(LIBMINC_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
get_filename_component(LIBMINC_INSTALL_PREFIX "${LIBMINC_CMAKE_DIR}" PATH)

set(HAVE_MINC2    1)
set(HAVE_EZMINC   OFF)
set(HAVE_MINC1    OFF)

set(LIBMINC_NIFTI_SUPPORT OFF)

set(NETCDF_INCLUDE_DIR "")
set(HDF5_INCLUDE_DIR   "@@HOMEBREW_CELLAR@@/hdf5/1.10.5_1/include;@@HOMEBREW_PREFIX@@/opt/szip/include")
set(NIFTI_INCLUDE_DIR  "")

set(NETCDF_LIBRARY     "")
set(HDF5_LIBRARY       "")
set(ZLIB_LIBRARY       "@@HOMEBREW_PREFIX@@/opt/zlib/lib/libz.dylib")
set(ZLIB_LIBRARIES     "@@HOMEBREW_PREFIX@@/opt/zlib/lib/libz.dylib")
set(NIFTI_LIBRARIES    "")

set(LIBMINC_INCLUDE_DIRS "@@HOMEBREW_CELLAR@@/osgeo-insighttoolkit/4.13.2_1/include/ITK-4.13/itkminc2")
set(LIBMINC_LIBRARY_DIRS "@@HOMEBREW_CELLAR@@/osgeo-insighttoolkit/4.13.2_1/lib")
set(LIBMINC_USE_FILE     "@@HOMEBREW_CELLAR@@/osgeo-insighttoolkit/4.13.2_1/lib/UseitkLIBMINC.cmake")
set(LIBMINC_LIBRARIES    "itkminc2;@@HOMEBREW_PREFIX@@/lib/libhdf5_cpp.dylib;@@HOMEBREW_PREFIX@@/lib/libhdf5.dylib;@@HOMEBREW_PREFIX@@/lib/libsz.dylib;@@HOMEBREW_PREFIX@@/opt/zlib/lib/libz.dylib;/usr/lib/libdl.dylib;/usr/lib/libm.dylib;@@HOMEBREW_PREFIX@@/opt/zlib/lib/libz.dylib;m;dl")

set(EZMINC_LIBRARIES    "minc_io;itkminc2;@@HOMEBREW_PREFIX@@/lib/libhdf5_cpp.dylib;@@HOMEBREW_PREFIX@@/lib/libhdf5.dylib;@@HOMEBREW_PREFIX@@/lib/libsz.dylib;@@HOMEBREW_PREFIX@@/opt/zlib/lib/libz.dylib;/usr/lib/libdl.dylib;/usr/lib/libm.dylib;@@HOMEBREW_PREFIX@@/opt/zlib/lib/libz.dylib;m;dl")
set(VOLUME_IO_LIBRARIES "itkminc2")

set(LIBMINC_STATIC_LIBRARIES    "")
set(VOLUME_IO_STATIC_LIBRARIES  "")

set( LIBMINC_FOUND 1 )

# VF: disable for now  
#if( NOT LIBMINC_TARGETS_IMPORTED AND NOT LIBMINC_BINARY_DIR )
#  set( LIBMINC_TARGETS_IMPORTED 1 )
#  include( "${LIBMINC_CMAKE_DIR}/ITKTargets.cmake" )
#endif()  
